package lcsb.mapviewer.converter.model.celldesigner.compartment;

import static org.junit.Assert.assertEquals;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.junit.*;

import lcsb.mapviewer.converter.model.celldesigner.CellDesignerTestFunctions;
import lcsb.mapviewer.model.map.model.Model;

public class CompartmentParserTests extends CellDesignerTestFunctions {
  Logger logger = LogManager.getLogger(CompartmentParserTests.class);

  @Before
  public void setUp() throws Exception {
  }

  @After
  public void tearDown() throws Exception {
  }

  @Test
  public void testParseCompartmensBottom() throws Exception {
    Model model = getModelForFile("testFiles/compartment/bottom_compartment.xml");

    assertEquals(1, model.getElements().size());
  }

  @Test
  public void testParseCompartmensTop() throws Exception {
    Model model = getModelForFile("testFiles/compartment/top_compartment.xml");

    assertEquals(1, model.getElements().size());
  }

  @Test
  public void testParseCompartmensRight() throws Exception {
    Model model = getModelForFile("testFiles/compartment/right_compartment.xml");

    assertEquals(1, model.getElements().size());
  }

  @Test
  public void testParseCompartmensLeft() throws Exception {
    Model model = getModelForFile("testFiles/compartment/left_compartment.xml");

    assertEquals(1, model.getElements().size());
  }

}
