-- rename table names to match implicit class name mapping
alter table model_table rename to model_data_table;
alter table model_parameters rename to model_parameters_table;
alter table sbml_parameter rename to sbml_parameter_table;
alter table sbml_unit rename to sbml_unit_table;
alter table sbml_kinetics rename to sbml_kinetics_table;
alter table sbml_function rename to sbml_function_table;
alter table sbml_unit_factor rename to sbml_unit_type_factor_table;
alter table layout rename to layout_table;
alter table uniprot_table rename to uniprot_record_table;
alter table layer_rect rename to layer_rect_table;
alter table layer_text rename to layer_text_table;
alter table layer_oval rename to layer_oval_table;
alter table polyline_data rename to polyline_data_table;
alter table cache_query rename to cache_query_table;
alter table class_annotator_table rename to user_class_annotators_table;
alter table class_valid_annotation_table rename to user_class_valid_annotations_table;
alter table annotators_params_table rename to user_annotators_param_table;
alter table class_required_annotation_table rename to user_class_required_annotations_table;
alter table user_gui_preferences rename to user_gui_preference_table;
alter table history_table rename to search_history_table;
alter table file_entry rename to file_entry_table;
alter table configuration_table rename to configuration_option_table;
alter table plugin_data_entry rename to plugin_data_entry_table;
alter table node_table rename to reaction_node_table;
alter table cache_type rename to cache_type_table;
alter table feedback rename to comment_table;
alter table reference_genome rename to reference_genome_table;
alter table reference_genome_gene_mapping rename to reference_genome_gene_mapping_table;

--rename sequences to match table names
alter sequence annotators_params_table_iddb_seq rename to user_annotators_param_sequence;
alter sequence big_file_entry_iddb_seq rename to file_entry_sequence;
alter sequence cachequery_iddb_seq rename to cache_query_sequence;
alter sequence cache_type_iddb_seq rename to cache_type_sequence;
alter sequence class_annotator_iddb_seq rename to user_class_annotators_sequence;
alter sequence class_required_annotation_iddb_seq rename to user_class_required_annotations_sequence;
alter sequence class_valid_annotation_iddb_seq rename to user_class_valid_annotations_sequence;
alter sequence modification_residue_table_iddb_seq rename to modification_residue_sequence;
alter sequence overview_image_iddb_seq rename to overview_image_sequence;
alter sequence overview_link_iddb_seq rename to overview_link_sequence;
alter sequence feedback_iddb_seq rename to comment_sequence;
alter sequence configuration_table_iddb_seq rename to configuration_option_sequence;
alter sequence element_table_iddb_seq rename to element_sequence;
alter sequence layeroval_iddb_seq rename to layer_oval_sequence;
alter sequence layerrect_iddb_seq rename to layer_rect_sequence;
alter sequence layer_table_iddb_seq rename to layer_sequence;
alter sequence layertext_iddb_seq rename to layer_text_sequence;
alter sequence layout_iddb_seq rename to layout_sequence;
alter sequence miriam_data_table_iddb_seq rename to miriam_data_sequence;
alter sequence model_table_iddb_seq rename to model_data_sequence;
alter sequence plugin_table_iddb_seq rename to plugin_sequence;
alter sequence polylinedata_iddb_seq rename to polyline_data_sequence;
alter sequence privilege_table_iddb_seq rename to privilege_sequence;
alter sequence node_table_iddb_seq rename to reaction_node_sequence;
alter sequence reaction_table_iddb_seq rename to reaction_sequence;
alter sequence reference_genome_gene_mapping_iddb_seq rename to reference_genome_gene_mapping_sequence;
alter sequence reference_genome_iddb_seq rename to reference_genome_sequence;
alter sequence sbml_function_iddb_seq rename to sbml_function_sequence;
alter sequence sbml_parameter_iddb_seq rename to sbml_parameter_sequence;
alter sequence sbml_unit_iddb_seq rename to sbml_unit_sequence;
alter sequence sbml_unit_factor_iddb_seq rename to sbml_unit_type_factor_sequence;
alter sequence history_table_iddb_seq rename to search_history_sequence;
alter sequence search_index_table_iddb_seq rename to search_index_sequence;
alter sequence structure_table_iddb_seq rename to structure_sequence;
alter sequence submodel_connection_table_iddb_seq rename to submodel_connection_sequence;
alter sequence uniprot_table_iddb_seq rename to uniprot_record_sequence;
alter sequence user_annotation_schema_iddb_seq rename to user_annotation_schema_sequence;
alter sequence user_gui_preferences_iddb_seq rename to user_gui_preference_sequence;
alter sequence user_table_iddb_seq rename to user_sequence;
alter sequence project_table_id_seq rename to project_sequence;
alter sequence plugin_data_entry_iddb_seq rename to plugin_data_entry_sequence;
alter sequence sbml_kinetics_iddb_seq rename to sbml_kinetics_sequence;


--drop unused sequences
drop sequence antisense_rna_region_table_iddb_seq;
drop sequence rna_region_table_iddb_seq;
